<?php

/**
 * Shopgate GmbH
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file AFL_license.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to interfaces@shopgate.com so we can send you a copy immediately.
 *
 * @author    Shopgate GmbH, Schloßstraße 10, 35510 Butzbach <interfaces@shopgate.com>
 * @copyright Shopgate GmbH
 * @license   http://opensource.org/licenses/AFL-3.0 Academic Free License ("AFL"), in the version 3.0
 */
class ShopgateItemsAttributeCombination
{
    /** @var ShopgateItemsAttributeGroup */
    private $attributeGroup;

    /** @var ShopgateItemsAttribute */
    private $attribute;

    /**
     * @param ShopgateItemsAttributeGroup $attributeGroup
     * @param ShopgateItemsAttribute      $attribute
     */
    public function __construct(ShopgateItemsAttributeGroup $attributeGroup, ShopgateItemsAttribute $attribute)
    {
        $this->attributeGroup = $attributeGroup;
        $this->attribute      = $attribute;
    }

    /**
     * @return ShopgateItemsAttributeGroup
     */
    public function getAttributeGroup()
    {
        return $this->attributeGroup;
    }

    /**
     * @param ShopgateItemsAttributeGroup $attributeGroup
     */
    public function setAttributeGroup($attributeGroup)
    {
        $this->attributeGroup = $attributeGroup;
    }

    /**
     * @return ShopgateItemsAttribute
     */
    public function getAttribute()
    {
        return $this->attribute;
    }

    /**
     * @param ShopgateItemsAttribute $attribute
     */
    public function setAttribute($attribute)
    {
        $this->attribute = $attribute;
    }
}