<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */
namespace Shopgate\Tests\Unit\Classes\Items\Item;

class InputTest extends \PHPUnit_Framework_TestCase
{
    /** @var \ShopgateItemsInput $class */
    protected $class;

    public function setUp()
    {
        $this->class = new \ShopgateItemsInput(new \ShopgateDb());
    }

    /**
     * @dataProvider typeProvider
     */
    public function testGetSystemInputType()
    {
        $input = new \ShopgateOrderItemInput();
        $input->setType('text');
        $result = $this->class->getSystemInputType($input);

        $this->assertEquals($result, 1);
    }

    /**
     * Provides shopgate to Presta mapping
     *
     * @return array
     */
    public function typeProvider()
    {
        return array(
            'text field' => array(\Shopgate_Model_Catalog_Input::DEFAULT_INPUT_TYPE_TEXT, 1),
            'file field' => array(\Shopgate_Model_Catalog_Input::DEFAULT_INPUT_TYPE_FILE, 2)
        );
    }
}
